This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 110515 - Select-by-word crosses newlines
Select-by-word crosses newlines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 12:02 EST by Michael Soulier
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 18:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Soulier 2003-11-20 12:02:33 EST
The default select-by-word behaviour in gnome-terminal sometimes
crosses newlines, which it should never do unless you've added a
newline char to the list of select-by-word chars.

So, for example, if I have...

[msoulier@sme60build ServiceLink-spamfiltering]$ rpmsearch
ServiceLink-spamfiltering
/home/e-smith/files/ibays/development/files/rpms/RPMS/noarch/ServiceLink-spamfiltering-1.1.0-02.noarch.rpm

In my terminal, and I select the path to the rpm file, it includes the
"ServiceLink-spamfiltering" text on the previous line, which is
obviously not what I intended.

Select by word should not cross newline boundaries unless I drag the
mouse across them myself. Any other terminal I've used does this
correctly.
Comment 1 Ray Strode [halfline] 2005-05-11 18:14:30 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.